Index: /codes/icosagcm/trunk/make_icosa
===================================================================
--- /codes/icosagcm/trunk/make_icosa	(revision 487)
+++ /codes/icosagcm/trunk/make_icosa	(revision 488)
@@ -18,4 +18,5 @@
 external_ioipsl="FALSE"
 external_physics="FALSE"
+no_io_defined="FALSE"
 
 CPP_KEY="CPP_NONE" 
@@ -63,5 +64,8 @@
       "-with_xios")
 	  with_xios_defined="TRUE" ; shift ;;
-
+  
+        "-no_io")
+	  no_io_defined="TRUE" ; shift ;;
+  
       "-external_ioipsl")
 	  external_ioipsl="TRUE" ; shift ;;
@@ -141,4 +145,10 @@
 fi
 
+if [[ "$no_io_defined" == "TRUE" ]]
+then
+  CPP_KEY="$CPP_KEY CPP_NO_IO"
+  with_xios_defined="FALSE"
+fi  
+
 if [[ "$with_xios_defined" == "TRUE" ]]
 then
@@ -164,10 +174,13 @@
 fi
 
-ICOSA_LIB="$ICOSA_LIB $NETCDF_LIBDIR $NETCDF_LIB $HDF5_LIBDIR $HDF5_LIB"
-
+if [[ "$no_io_defined" == "FALSE" ]]
+then 
+  ICOSA_LIB="$ICOSA_LIB $NETCDF_LIBDIR $NETCDF_LIB $HDF5_LIBDIR $HDF5_LIB"
+  COMPIL_FFLAGS="$COMPIL_FFLAGS $NETCDF_INCDIR"
+fi
 
 rm -f config.fcm
 
-echo "%COMPIL_FFLAGS $COMPIL_FFLAGS $NETCDF_INCDIR" >> config.fcm
+echo "%COMPIL_FFLAGS $COMPIL_FFLAGS" >> config.fcm
 echo "%LD_FLAGS $LD_FLAGS" >> config.fcm
 echo "%CPP_KEY $CPP_KEY" >> config.fcm
Index: /codes/icosagcm/trunk/src/disvert.f90
===================================================================
--- /codes/icosagcm/trunk/src/disvert.f90	(revision 487)
+++ /codes/icosagcm/trunk/src/disvert.f90	(revision 488)
@@ -192,5 +192,7 @@
     INTEGER :: ncid,levid,ilevid,hyaiid,hybiid,hyamid,hybmid,P0id
     INTEGER :: l
-
+    
+    IF (no_io) RETURN
+    
 !$OMP BARRIER
 !$OMP MASTER    
Index: /codes/icosagcm/trunk/src/netcdf_mod.F90
===================================================================
--- /codes/icosagcm/trunk/src/netcdf_mod.F90	(revision 487)
+++ /codes/icosagcm/trunk/src/netcdf_mod.F90	(revision 488)
@@ -1,4 +1,9 @@
 MODULE netcdf_mod
+
+#ifndef CPP_NO_IO
+
   USE netcdf
+  LOGICAL,PARAMETER :: no_io = .FALSE.
+
 #ifndef CPP_NETCDF4
   INTEGER ::  NF90_NETCDF4
@@ -28,2 +33,203 @@
    END
 #endif
+
+
+#else
+
+  LOGICAL,PARAMETER :: no_io = .TRUE.
+
+  INTEGER ::  NF90_NETCDF4
+  INTEGER ::  NF90_MPIIO
+  INTEGER ::  NF90_CHUNKED
+  
+  INTEGER,EXTERNAL :: NF90_CREATE_PAR
+  INTEGER,EXTERNAL :: NF90_DEF_VAR_CHUNKING 
+  INTEGER,EXTERNAL :: NF90_CREATE
+  INTEGER,EXTERNAL ::  NF90_DEF_DIM
+  INTEGER,EXTERNAL :: NF90_PUT_ATT
+  INTEGER,EXTERNAL :: NF90_ENDDEF  
+  INTEGER,EXTERNAL :: NF90_CLOSE
+  INTEGER,EXTERNAL :: NF90_SYNC
+  INTEGER,EXTERNAL :: NF90_OPEN
+  INTEGER,EXTERNAL :: NF90_INQ_VARID
+  INTEGER,EXTERNAL :: NF90_GET_ATT
+  
+  INTEGER ::  NF90_NOWRITE  
+  INTEGER :: NF90_CLOBBER
+  INTEGER ::  NF90_UNLIMITED
+  INTEGER :: NF90_DOUBLE
+  INTEGER :: NF90_FLOAT
+  INTEGER :: NF90_GLOBAL
+  
+  INTERFACE nf90_put_var
+    MODULE PROCEDURE   nf90_put_var_int0, nf90_put_var_int1, nf90_put_var_int2, nf90_put_var_int3,&
+                                                 nf90_put_var_real0, nf90_put_var_real1, nf90_put_var_real2, nf90_put_var_real3
+  END INTERFACE nf90_put_var
+
+  INTERFACE nf90_get_var
+    MODULE PROCEDURE   nf90_get_var_int0, nf90_get_var_int1, nf90_get_var_int2, nf90_get_var_int3,&
+                                                 nf90_get_var_real0, nf90_get_var_real1, nf90_get_var_real2, nf90_get_var_real3
+  END INTERFACE nf90_get_var
+  
+ CONTAINS
+   
+   function nf90_def_var(ncid, name, xtype, dimids, varid)
+        integer,                         intent( in) :: ncid
+        character (len = *),             intent( in) :: name
+        integer,                         intent( in) :: xtype
+        integer, dimension(:), optional, intent( in) :: dimids
+        integer,                         intent(out) :: varid
+        integer                                      :: nf90_def_var
+    end function nf90_def_var
+    
+    
+    function nf90_put_var_int0(ncid, varid, values, start, count, stride, map)
+        integer,                         intent( in) :: ncid, varid
+        integer,                          intent( in) :: values
+        integer, dimension(:), optional, intent( in) :: start, count, stride, map
+        integer                                      :: nf90_put_var_int0
+    end function nf90_put_var_int0
+
+    function nf90_put_var_int1(ncid, varid, values, start, count, stride, map)
+        integer,                         intent( in) :: ncid, varid
+        integer,                          intent( in) :: values(:)
+        integer, dimension(:), optional, intent( in) :: start, count, stride, map
+        integer                                      :: nf90_put_var_int1
+    end function nf90_put_var_int1
+
+    function nf90_put_var_int2(ncid, varid, values, start, count, stride, map)
+        integer,                         intent( in) :: ncid, varid
+        integer,                          intent( in) :: values(:,:)
+        integer, dimension(:), optional, intent( in) :: start, count, stride, map
+        integer                                      :: nf90_put_var_int2
+    end function nf90_put_var_int2
+
+    function nf90_put_var_int3(ncid, varid, values, start, count, stride, map)
+        integer,                         intent( in) :: ncid, varid
+        integer,                          intent( in) :: values(:,:,:)
+        integer, dimension(:), optional, intent( in) :: start, count, stride, map
+        integer                                      :: nf90_put_var_int3
+    end function nf90_put_var_int3
+    
+    function nf90_put_var_real0(ncid, varid, values, start, count, stride, map)
+        integer,                         intent( in) :: ncid, varid
+        real,                              intent( in) :: values
+        integer, dimension(:), optional, intent( in) :: start, count, stride, map
+        integer                                      :: nf90_put_var_real0   
+   end function nf90_put_var_real0
+
+    function nf90_put_var_real1(ncid, varid, values, start, count, stride, map)
+        integer,                         intent( in) :: ncid, varid
+        real,                              intent( in) :: values(:)
+        integer, dimension(:), optional, intent( in) :: start, count, stride, map
+        integer                                      :: nf90_put_var_real1   
+   end function nf90_put_var_real1
+
+    function nf90_put_var_real2(ncid, varid, values, start, count, stride, map)
+        integer,                         intent( in) :: ncid, varid
+        real,                              intent( in) :: values(:,:)
+        integer, dimension(:), optional, intent( in) :: start, count, stride, map
+        integer                                      :: nf90_put_var_real2   
+   end function nf90_put_var_real2
+
+    function nf90_put_var_real3(ncid, varid, values, start, count, stride, map)
+        integer,                         intent( in) :: ncid, varid
+        real,                              intent( in) :: values(:,:,:)
+        integer, dimension(:), optional, intent( in) :: start, count, stride, map
+        integer                                      :: nf90_put_var_real3   
+   end function nf90_put_var_real3
+ 
+ 
+     function nf90_get_var_int0(ncid, varid, values, start, count, stride, map)
+        integer,                         intent( in) :: ncid, varid
+        integer,                          intent( out) :: values
+        integer, dimension(:), optional, intent( in) :: start, count, stride, map
+        integer                                      :: nf90_get_var_int0
+    end function nf90_get_var_int0
+
+    function nf90_get_var_int1(ncid, varid, values, start, count, stride, map)
+        integer,                         intent( in) :: ncid, varid
+        integer,                          intent( out) :: values(:)
+        integer, dimension(:), optional, intent( in) :: start, count, stride, map
+        integer                                      :: nf90_get_var_int1
+    end function nf90_get_var_int1
+
+    function nf90_get_var_int2(ncid, varid, values, start, count, stride, map)
+        integer,                         intent( in) :: ncid, varid
+        integer,                          intent( out) :: values(:,:)
+        integer, dimension(:), optional, intent( in) :: start, count, stride, map
+        integer                                      :: nf90_get_var_int2
+    end function nf90_get_var_int2
+
+    function nf90_get_var_int3(ncid, varid, values, start, count, stride, map)
+        integer,                         intent( in) :: ncid, varid
+        integer,                          intent( out) :: values(:,:,:)
+        integer, dimension(:), optional, intent( in) :: start, count, stride, map
+        integer                                      :: nf90_get_var_int3
+    end function nf90_get_var_int3
+    
+    function nf90_get_var_real0(ncid, varid, values, start, count, stride, map)
+        integer,                         intent( in) :: ncid, varid
+        real,                              intent( out) :: values
+        integer, dimension(:), optional, intent( in) :: start, count, stride, map
+        integer                                      :: nf90_get_var_real0   
+   end function nf90_get_var_real0
+
+    function nf90_get_var_real1(ncid, varid, values, start, count, stride, map)
+        integer,                         intent( in) :: ncid, varid
+        real,                              intent( out) :: values(:)
+        integer, dimension(:), optional, intent( in) :: start, count, stride, map
+        integer                                      :: nf90_get_var_real1   
+   end function nf90_get_var_real1
+
+    function nf90_get_var_real2(ncid, varid, values, start, count, stride, map)
+        integer,                         intent( in) :: ncid, varid
+        real,                              intent( out) :: values(:,:)
+        integer, dimension(:), optional, intent( in) :: start, count, stride, map
+        integer                                      :: nf90_get_var_real2   
+   end function nf90_get_var_real2
+
+    function nf90_get_var_real3(ncid, varid, values, start, count, stride, map)
+        integer,                         intent( in) :: ncid, varid
+        real,                              intent( out) :: values(:,:,:)
+        integer, dimension(:), optional, intent( in) :: start, count, stride, map
+        integer                                      :: nf90_get_var_real3   
+   end function nf90_get_var_real3
+  
+END MODULE netcdf_mod
+
+  SUBROUTINE NF90_CREATE_PAR
+  END
+  
+ SUBROUTINE NF90_DEF_VAR_CHUNKING 
+ END
+ 
+ SUBROUTINE NF90_CREATE
+ END
+ 
+ SUBROUTINE  NF90_DEF_DIM
+ END
+ 
+ SUBROUTINE NF90_PUT_ATT
+ END
+ 
+ SUBROUTINE NF90_ENDDEF 
+ END
+  
+ SUBROUTINE NF90_CLOSE
+ END
+ 
+ SUBROUTINE NF90_SYNC
+ END
+ 
+ SUBROUTINE NF90_OPEN
+ END
+ 
+ SUBROUTINE NF90_INQ_VARID
+ END
+ 
+ SUBROUTINE NF90_GET_ATT
+ END
+
+#endif
+
Index: /codes/icosagcm/trunk/src/restart.f90
===================================================================
--- /codes/icosagcm/trunk/src/restart.f90	(revision 487)
+++ /codes/icosagcm/trunk/src/restart.f90	(revision 488)
@@ -70,4 +70,6 @@
   REAL(rstd),ALLOCATABLE :: lon(:),lat(:),bounds_lon(:,:),bounds_lat(:,:)
    
+    IF (no_io) RETURN
+    
     restart_file_name="restart"
     CALL getin("restart_file_name",restart_file_name)
@@ -419,4 +421,7 @@
   REAL(rstd),ALLOCATABLE :: lon(:),lat(:),bounds_lon(:,:),bounds_lat(:,:)
   REAL(rstd) :: it_temp(1)
+  
+    IF (no_io) RETURN
+    
     start_file_name="start"
     CALL getin("start_file_name",start_file_name)
Index: /codes/icosagcm/trunk/src/time.f90
===================================================================
--- /codes/icosagcm/trunk/src/time.f90	(revision 487)
+++ /codes/icosagcm/trunk/src/time.f90	(revision 488)
@@ -105,9 +105,10 @@
   CHARACTER(LEN=255) :: time_frequency
 
+  IF (no_io) RETURN
   CALL getin("dt",dt)
 
 !$OMP BARRIER
 !$OMP MASTER  
-    IF (is_mpi_root) THEN 
+    IF (is_mpi_root ) THEN 
       status = NF90_CREATE('time_counter.nc', NF90_CLOBBER, ncid)
       status = NF90_DEF_DIM(ncid,'time_counter',NF90_UNLIMITED,timeid)
@@ -141,4 +142,6 @@
   REAL(rstd) ::time_array(1)
 
+  IF (no_io) RETURN
+
 !$OMP BARRIER
 !$OMP MASTER
@@ -160,4 +163,6 @@
   IMPLICIT NONE
     INTEGER :: status
+
+    IF (no_io) RETURN
     
 !$OMP BARRIER
Index: /codes/icosagcm/trunk/src/write_field.f90
===================================================================
--- /codes/icosagcm/trunk/src/write_field.f90	(revision 487)
+++ /codes/icosagcm/trunk/src/write_field.f90	(revision 488)
@@ -27,4 +27,5 @@
       use netcdf_mod
       CHARACTER(LEN=255) :: netcdf_prec
+      
       !$OMP CRITICAL
       netcdf_prec='float'
@@ -68,4 +69,5 @@
     USE dimensions
     USE mpipara
+    USE netcdf_mod
     IMPLICIT NONE  
      CHARACTER(LEN=*),INTENT(IN) :: name_in
@@ -76,5 +78,7 @@
       
       TYPE(t_field),POINTER :: field_glo(:)
-
+      
+      IF (no_io) RETURN
+      
 !$OMP BARRIER
 !$OMP MASTER      
@@ -1777,5 +1781,5 @@
    
    SUBROUTINE Close_files
-   USE netcdf
+   USE netcdf_mod
    IMPLICIT NONE
      INTEGER :: i,k,status
Index: /codes/icosagcm/trunk/tools/ioipsl/ioipsl.f90
===================================================================
--- /codes/icosagcm/trunk/tools/ioipsl/ioipsl.f90	(revision 487)
+++ /codes/icosagcm/trunk/tools/ioipsl/ioipsl.f90	(revision 488)
@@ -8,10 +8,10 @@
   USE errioipsl 
   USE stringop
-  USE mathelp    
+ ! USE mathelp    
   USE getincom
-  USE calendar   
-  USE fliocom    
-  USE flincom    
-  USE histcom    
-  USE restcom
+!  USE calendar   
+!  USE fliocom    
+!  USE flincom    
+!  USE histcom    
+!  USE restcom
 END MODULE ioipsl
